# Password Store Setup

This is a quick reference for setting up `pass` on a new filesystem.

1. Install `pass` via the most official means possible
2. Import secret key to gpg keyring
3. Initialize the password store with the key ID
```class='prettyprint'
pass init <keyid>
```
4. Initialize the git repo inside the password store
```class='prettyprint'
pass git init
```
5. Set remote origin
```class='prettyprint'
pass git remote add origin user@site.com:pass.git
```
6. Fetch origin
```class='prettyprint'
pass git fetch origin
```
7. Reset hard to origin/master (overwriting anything that existed in the password store thus far)
```class='prettyprint'
pass git reset --hard origin/master
```
